import type { AccordionAPI, AccordionStates, DisabledPropType, FocusableElement, HeadingLevel, KoliBriAccordionCallbacks, LabelPropType, OpenPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolAccordion implements AccordionAPI, FocusableElement {
    private readonly nonce;
    private buttonWcRef?;
    private readonly catchRef;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    render(): JSX.Element;
    _disabled?: boolean;
    _label: string;
    _level?: HeadingLevel;
    _on?: KoliBriAccordionCallbacks;
    _open?: boolean;
    state: AccordionStates;
    validateDisabled(value?: DisabledPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(value?: KoliBriAccordionCallbacks): void;
    validateOpen(value?: OpenPropType): void;
    componentWillLoad(): void;
    private onClick;
}
